Bug 248567 - Racoon slow because of debug logging code overhead
Racoon slow because of debug logging code overhead
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ipsec-tools (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 11:13 EDT by Karl Wirth
Modified: 2009-09-03 10:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: ipsec-tools-0.6.5-11.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:13:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch to resolve the problem (1.67 KB, patch)
2007-07-17 11:13 EDT, Steve Conklin
no flags Details | Diff

  None (edit)
Description Steve Conklin 2007-07-17 11:13:03 EDT
Description of problem:
debug logging overhead impacts performance of racoon, even when no output requested.

Version-Release number of selected component (if applicable):
all

Here's a link to the thread anout this on the ipsec-tools-devel list:
http://sourceforge.net/mailarchive/forum.php?thread_name=df9cc2240707121420g43480141mef5ac076b9b2ad84%40mail.gmail.com&forum_name=ipsec-tools-devel
Comment 1 Steve Conklin 2007-07-17 11:13:04 EDT
Created attachment 159445 [details]
Upstream patch to resolve the problem
Comment 2 RHEL Product and Program Management 2007-12-03 15:44:07 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 5 RHEL Product and Program Management 2008-06-02 16:35:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Tomas Mraz 2008-07-02 04:57:37 EDT
You can measure startup time of racoon on slow machine. It should be noticeably
faster with the fixed binary given the log level is sufficiently low.
The question is how slow the machine needs to be to be able to notice the
difference.
Comment 11 errata-xmlrpc 2009-01-20 17:13:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0239.html

Note You need to log in before you can comment on or make changes to this bug.